/* point.cpp (Version 2)
 *
 * Die Klasse der Punkte einer Ebene mit x- und y-Koordinate 
 * und mehreren Methoden
 */

#include <cmath>
using namespace std;

#include "point.h"
using namespace geometry;

Point::Point() {
   x = 0;
   y = 0;
}

Point::Point(int x) {
   this->x = x;
   y = 0;
}

Point::Point(int x, int y) {
   this->x = x;
   this->y = y;
}

int Point::getX() {
   return x;
}

int Point::getY() {
   return y;
}

void Point::moveTo(int x, int y) {
   this->x = x;
   this->y = y;
}

void Point::moveRel(int x, int y) {
   this->x += x;
   this->y += y;
}

double Point::distance() {
   return sqrt(x*x + y*y);
}

double Point::distance(Point p) {
   int dx = p.x - x;
   int dy = p.y - y;
   return sqrt(dx*dx + dy*dy);
}

// point (Impl)
